<template>
  <date-picker
    :modal="modal"
    :value="task.postponedUntil"
    @input="
      task.$setAndSaveAttributes({ postponedUntil: $event, deadlineAt: $event });
      $emit('picked');
    "
    :title="`Schedule for`"
    location="center"
  />
</template>

<script lang="ts">
import { isModal } from "@/use/modal";
import Task from "@/models/Task";
import { DateTime } from "luxon";
import DatePicker from "../DatePicker.vue";

export default {
  components: { DatePicker },
  mixins: [isModal()],
  props: {
    task: {
      type: Task,
      required: true
    }
  }
};
</script>
